 <?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');
if (isset($_POST['art_id'])){ $art_id=$_POST['art_id'];}                        
if (isset($_POST['art_art_id'])){ $art_art_id=$_POST['art_art_id'];}
if (isset($_POST['art_referencia'])){ $art_referencia=$_POST['art_referencia'];}
if (isset($_POST['cantidad'])){ $cantidad=$_POST['cantidad'];}
if (isset($_POST['precio_venta'])){ $precio_venta=$_POST['precio_venta'];}
if ($_POST['art_iva']>0){$art_iva=$_POST['art_iva'];} else { $art_iva='0';}
if ($_POST['descuento']>0){ $descuento=$_POST['descuento']; } else { $descuento='0';}
if (isset($_POST['nombre'])){ $nombre=$_POST['nombre'];}
if (isset($_POST['tipo'])){ $tipo=$_POST['tipo'];}
    
if ( !empty($cantidad) )
{
    if($tipo=='articulo')
    {
        $atri1=mysqli_query($con,"SELECT * FROM articulos_has_bodegas where art_id='$art_art_id'");
        $atri1 = mysqli_fetch_array($atri1);
        $atributo1=$atri1['atributo1'];

        $atri11=mysqli_query($con,"SELECT * FROM atributos1 where atri_id='$atributo1'");
        $atri11 = mysqli_fetch_array($atri11);
        if (isset($atri11['atri_nombre'])) { $atri_nombre=$atri11['atri_nombre']; } else { $atri_nombre='';}

        $atributo2=$atri1['atributo2'];
        $atri2=mysqli_query($con,"SELECT * FROM atributos2 where atri_id2='$atributo2'");
        $atri2 = mysqli_fetch_array($atri2);
        if (isset($atri2['atri_nombre2'])) { $atri_nombre2=$atri2['atri_nombre2']; } else { $atri_nombre2='';}

        $atri='('.$atri_nombre.' - '.$atri_nombre2.')';
        $atributos = str_replace ( "( - )", '', $atri);

        $sqll=mysqli_query($con,"SELECT ordt_art_id FROM orden_detalle_temp WHERE art_art_id='$art_art_id' and ordt_art_id='$art_id' and ordt_tipo='$tipo' and empresa='$empresa' and usuario='$usu_id'") ;
        if($roww=mysqli_fetch_array($sqll))
        { 
            $can7=mysqli_query($con,"SELECT * FROM orden_detalle_temp WHERE art_art_id='$art_art_id' and ordt_art_id='$art_id' and ordt_tipo='$tipo' and empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));  
            $dato=mysqli_fetch_array($can7);
            $ordt_art_id=$dato['ordt_art_id'];            
            $c=$dato['ordt_cantidad'];
            $suma=$c+$cantidad;

            $registros=mysqli_query($con,"UPDATE orden_detalle_temp Set ordt_cantidad='$suma',ordt_precio='$precio_venta' Where art_art_id='$art_art_id' and ordt_art_id='$art_id' and ordt_tipo='$tipo' and empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));
        }
        else
        {  

            $can2=mysqli_query($con,"SELECT * FROM articulos_presentacion where pres_art_id='$art_id' and pres_defecto='si' ") or die(mysqli_error($con)); 
            $dato2=mysqli_fetch_array($can2);
            $pres_unidad=$dato2['pres_unidad'];

            $sql=mysqli_query($con,"INSERT INTO orden_detalle_temp (art_art_id,ordt_art_id,ordt_referencia,ordt_nombre,ordt_unidad,ordt_x_cantidad,ordt_cantidad,ordt_iva,ordt_desc,ordt_precio,ordt_tipo,fact,usuario,empresa) 
            VALUES ('$art_art_id','$art_id','$art_referencia','$nombre $atributos','$pres_unidad','1','$cantidad','$art_iva','$descuento','$precio_venta','$tipo','si','$usu_id','$empresa')") or  die(mysqli_error($con));
        }
    }
    if($tipo=='servicio')
    {
        $sqll=mysqli_query($con,"SELECT ordt_art_id FROM orden_detalle_temp WHERE ordt_art_id='$art_id' and ordt_tipo='$tipo' and empresa='$empresa' and usuario='$usu_id'") ;
        if($roww=mysqli_fetch_array($sqll))
        { 
            $can7=mysqli_query($con,"SELECT * FROM orden_detalle_temp WHERE ordt_art_id='$art_id' and ordt_tipo='$tipo' and empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));  
            $dato=mysqli_fetch_array($can7);
            $ordt_art_id=$dato['ordt_art_id'];            
            $c=$dato['ordt_cantidad'];
            $suma=$c+$cantidad;
            
            $registros=mysqli_query($con,"UPDATE orden_detalle_temp Set ordt_cantidad='$suma',ordt_precio='$precio_venta' Where ordt_art_id='$art_id' and ordt_tipo='$tipo' and empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));
        }
        else
        {   
            $sql=mysqli_query($con,"INSERT INTO orden_detalle_temp (art_art_id,ordt_art_id,ordt_referencia,ordt_nombre,ordt_cantidad,ordt_iva,ordt_desc,ordt_precio,ordt_tipo,fact,usuario,empresa) 
            VALUES ('0','$art_id','$art_referencia','$nombre','$cantidad','$art_iva','$descuento','$precio_venta','$tipo','si','$usu_id','$empresa')") or  die(mysqli_error($con));
        }
    }

}
?>